Principal (Java Platform SE 8 )
Keywords: org.omg.CORBA.Principal class
Date: 2018-03-02

org.omg.CORBA

## Class Principal

- java.lang.Object
- - org.omg.CORBA.Principal

- Deprecated.
  Deprecated by CORBA 2.2.

      @Deprecated
      public class Principal
      extends Object

  A class that contains information about the identity of the client, for access control and other purposes. It contains a single attribute, the name of the `Principal`, encoded as a sequence of bytes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Principal()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `name()` Deprecated. Deprecated by CORBA 2.2.
    `void` | `name(byte[] value)` Deprecated. Deprecated by CORBA 2.2.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Principal

          public Principal()

      Deprecated.

  - ### Method Detail

    - #### name

          @Deprecated
          public void name(byte[] value)

      Deprecated. Deprecated by CORBA 2.2.
      Sets the name of this `Principal` object to the given value.
      Parameters:
        `value` - the value to be set in the `Principal`

    - #### name

          @Deprecated
          public byte[] name()

      Deprecated. Deprecated by CORBA 2.2.
      Gets the name of this `Principal` object.
      Returns:
        the name of this `Principal` object

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.